/* Copyright 1995 GROUPE BULL -- See license conditions in file COPYRIGHT */
/* $Id: global.h,v 1.2 95/06/07 14:46:34 leon Exp $ */
#ifndef __GLOBAL_H
#define __GLOBAL_H


#include <X11/Intrinsic.h>
#include <KlLib.h>

#ifdef _cplusplus
extern "C" {
#endif



typedef struct _KlMOptionRec {
    char *verbose;
    char *debug;
    char *file;
    char *loadfile;
    char *top;
    char *server;
} KlmOptionRec;


extern KlmOptionRec options;


typedef struct _GlobalRec {
    Display *dpy;
    XtAppContext app;
    int argc;
    char **argv;
    KlList toplevels;
} GlobalRec;


extern GlobalRec klm;

#define SameStrings(a,b) (!(strcmp(a, b)))



#define KlMustBeExecutable(o, n) if(KlIsUndefinedMethod(o,KlSelExecute )) \
KlArgumentMustHaveTrait(o, n, KlTrait_function)



#ifdef _cplusplus
} /* Close scope of 'extern "C"' declaration which encloses file. */
#endif




#endif /* __GLOBAL_H */
/* DON'T ADD ANYTHING AFTER THIS #endif */
