/* Copyright 1989-93 GROUPE BULL -- See license conditions in file COPYRIGHT */
/*****************************************************************************\
*                                                                             *
* 				     STP                                      *
* 			   STring Pointer functions                           *
*                                                                             *
\*****************************************************************************/

/* stpcpy
 * stpcpy is just like strcpy, but instead of returning a pointer to the 
 * START of the sstring, returns a pointer to the END, which MUCH more useful!
 */

char *
stpcpy(dest, source)
    char *dest;
    char *source;
{
    while (*dest++ = *source++)
	;
    return --dest;

#ifdef COMMENT
    for (;;) {
	*dest = *source;
	if (!(*source))
	    return dest;
	dest++;
	source++;
    }
#endif /* COMMENT */
}
