/* Copyright (c) 1995 by Groupe Bull.  All Rights Reserved */
/* $Id: funcs.h,v 1.2 95/06/07 14:46:32 leon Exp $ */


#ifndef __FUNCS_H
#define __FUNCS_H

#ifdef __cplusplus
extern "C" {
#endif


KlWidget
KlBindAction(KlWidget klw, KlString desc, KlList value);

KlWidget
KlUnbindAction(KlWidget klw, KlString desc);


void
ExecuteKloneAction(Widget w, XEvent *event, String *params, Cardinal *num);

/*
 * returns the first char ponting to the argument string.  * For keywords, it
 * skips the ':' first char.
 * The 'string' trait should have been tested before this.
 */
char *
GetNameString(KlO klo);


#ifdef __cplusplus
} /* Close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif /* __FUNCS_H */
