/* Copyright (c) 1995 by Groupe Bull.  All Rights Reserved */
/* $Id: kl_knvas.h,v 1.3 96/10/23 17:12:28 leon Exp $ */

#ifndef __KL_KNVAS_H
#define __KL_KNVAS_H

#include <Kn/Knvas.h>

#ifdef __cplusplus
extern "C" {
#endif


extern KlWidget KlKnvas(Int argc, KlO argv[]);
extern KlO KlLayer(KlWidget canvas);
extern KlO KlLine(KnO parent, KlNumber x, KlNumber y, KlNumber w, KlNumber h);
extern KlO KlRect(KnO parent, KlNumber x, KlNumber y, KlNumber w, KlNumber h);
extern KlO KlFRect(KnO parent, KlNumber x, KlNumber y, KlNumber w, KlNumber h);
extern KlO KlCircle(KnO parent, KlNumber x, KlNumber y,
		    KlNumber w, KlNumber h);
extern KlO KlFCircle(KnO parent, KlNumber x, KlNumber y,
		     KlNumber w, KlNumber h);
extern KlO KlIcon(KnO parent, KlString name, KlNumber x, KlNumber y);
extern KlO KlSticker(KnO parent, KlString name, KlNumber x, KlNumber y);
extern KlO KlCreateAnchor(KnO parent, KnO master, KlNumber x, KlNumber y);
extern KlO KlCreateLink(KnO parent, KnO from, KnO to);
extern KlO KlCreateTag(KlWidget parent, KlString name);
extern KlO KlMoveInteractor(KlWidget knvas, KlString name);
extern KlO KlResizeInteractor(KlWidget knvas, KlString name);
extern KlO KlSelectInteractor(KlWidget knvas, KlString name);

    
/*
 * returns the Knvas associated to a graphical object.
 */
Widget
GetKnvas(KnO kno);


#ifdef __cplusplus
} /* Close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif /* __KL_KNVAS_H */
