/* Copyright (c) 1995 by Groupe Bull.  All Rights Reserved */
/* $Id: kl_tag.h,v 1.2 95/06/07 14:46:43 leon Exp $ */

/***
   NAME
     kl_tag
   PURPOSE
     
   NOTES
     
   HISTORY
     jml - Feb 7, 1995: Created.
***/

#ifndef __KL_TAG_H
#define __KL_TAG_H

#include <X11/Intrinsic.h>
#include <KlLib.h>
#include <Kn/Tag.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct KlTagStruct {
    KlKLONE_HEADER;
    KnTag tag;			/* (Widget w) in KlWidget */
    KlPseudoClass pclass;	/* Widget's pseudo class or NULL */
    KlO p_list;			/* property list */
} *KlTag;

extern KlType KlTagType;


#define KlMustBeTag(o, n) KlArgumentMustBe(o, n, KlTagType)
#define KlIsATag(obj)  ((obj)->type == KlTagType)


KlTag
KlTagMake(KnTag tag);

#ifdef __cplusplus
} /* Close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif /* __KL_TAG_H */
